Zhang Weiwu wrote:

> Hello.
> 
> I failed to compile linphone on my FreeBSD 6-1 (yes I know it's old but
> as it has been working well for the last several years I got no motivate
> to upgrade it unless have to). The last error message says:
> 
> [from gio-fam-backend ]:
> 
> cannot find -lgio-2.0
> 
> It seems I miss a package that provides gio-2.0. But what is that
> package? I tried to google this error message without luck.
> 
> Thanks for help getting me having linphone installed. The whole compile
> error message is below:
> 
> Script started on Thu Jan  1 11:18:29 2009
> ===>  Installing for linphone-base-2.1.1_1,1
> ===>   linphone-base-2.1.1_1,1 depends on executable: pkg-config - found
> ===>   linphone-base-2.1.1_1,1 depends on file:
> /usr/local/lib/gio/modules/libgiofam.so - not found
> ===>    Verifying install for /usr/local/lib/gio/modules/libgiofam.so in
> /usr/ports/devel/gio-fam-backend
> ===>  Building for gio-fam-backend-2.16.5
> /bin/sh ../../libtool --tag=CC   --mode=link cc
> -DG_LOG_DOMAIN=\"GLib-GIO\" -I../.. -I../../glib -I../../gmodule
> -I../../gio -DG_DISABLE_CAST_CHECKS
> -DGIO_MODULE_DIR=\"/usr/local/lib/gio/modules\" -DGIO_COMPILATION
> -DG_DISABLE_DEPRECATED -O2 -pipe -march=pentium-mmx -fno-strict-aliasing
> -Wall -export_dynamic -avoid-version -module -no-undefined
> -export-symbols-regex '^g_io_module_(load|unload)' -L/usr/local/lib -lintl
> -o libgiofam.la -rpath /usr/local/lib/gio/modules
> libgiofam_la-fam-helper.lo libgiofam_la-fam-module.lo
> libgiofam_la-gfamdirectorymonitor.lo libgiofam_la-gfamfilemonitor.lo 
> -lgio-2.0 -lgobject-2.0 -lglib-2.0  -lfam
> rm -fr  .libs/libgiofam.exp
> generating symbol list for `libgiofam.la'
> /usr/bin/nm -B  .libs/libgiofam_la-fam-helper.o
> .libs/libgiofam_la-fam-module.o .libs/libgiofam_la-gfamdirectorymonitor.o
> .libs/libgiofam_la-gfamfilemonitor.o  | sed -n -e 's/^.*[ 
> ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[       ][      
> ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2
> \2/p' | /usr/bin/sed 's/.* //' | sort | uniq > .libs/libgiofam.exp
> /usr/bin/grep -E -e "^g_io_module_(load|unload)" ".libs/libgiofam.exp" >
> ".libs/libgiofam.expT" mv -f ".libs/libgiofam.expT" ".libs/libgiofam.exp"
> cc -shared  .libs/libgiofam_la-fam-helper.o
> .libs/libgiofam_la-fam-module.o .libs/libgiofam_la-gfamdirectorymonitor.o
> .libs/libgiofam_la-gfamfilemonitor.o  -Wl,--rpath -Wl,/usr/local/lib
> -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib /usr/local/lib/libintl.so
> -lgio-2.0 /usr/local/lib/libgobject-2.0.so /usr/local/lib/libglib-2.0.so
> /usr/local/lib/libfam.so  -march=pentium-mmx -Wl,-soname -Wl,libgiofam.so
> -Wl,-retain-symbols-file -Wl,.libs/libgiofam.exp -o .libs/libgiofam.so
> /usr/bin/ld: cannot find -lgio-2.0 gmake: *** [libgiofam.la] Error 1 ***
> Error code 2
> 
> Stop in /usr/ports/devel/gio-fam-backend.
> *** Error code 1
> 
> Stop in /usr/ports/net/linphone-base.
> 
> Script done on Thu Jan  1 11:18:38 2009
> 

My first wild guess would be to check your version of glib20 and see if it
is 2.16.5_1. Possibly you may need to update it first (and what it might
depend on as well). Look at /usr/ports/devel/glib20.

-Mike



_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscr...@freebsd.org"

Reply via email to